Client A P I
List server backups
Returns a paginated list of backups for the server.
GET
/api/client/servers/{server_uuid}/backupsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
Query Parameters
page?integer
The page number to return.
per_page?integer
Number of backups to return per page. The maximum is 50.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/backups?page=1&per_page=20"{ "object": "list", "data": [ { "object": "backup", "attributes": { "uuid": "b1ad97bf-3ae6-43f0-bd9f-623cf9482785", "is_successful": true, "is_locked": false, "name": "Sunt nihil accusantium harum mollitia.", "ignored_files": [ "string" ], "checksum": "sha256:0123456789abcdef", "bytes": 0, "created_at": "2026-09-22T14:45:24+00:00", "completed_at": "2026-06-29T12:05:00+00:00" } } ], "meta": { "pagination": { "total": 1, "count": 1, "per_page": 50, "current_page": 1, "total_pages": 1, "links": { "property1": "string", "property2": "string" } }, "backup_count": 1 }}